/*
 * @(#)file      SnmpProxyData.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.4
 * @(#)date      04/07/05
 *
 * Copyright 2000-2004 Sun Microsystems, Inc.  All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000-2004 Sun Microsystems, Inc.  Tous droits r?serv?s.
 * Ce logiciel est propriet? de Sun Microsystems, Inc.
 * Distribu? par des licences qui en restreignent l'utilisation. 
 *
 */
package com.sun.management.snmp.rfc2573.manager.internal.v3proxy;

import com.sun.management.snmp.SnmpEngineId;

public class SnmpProxyData implements Cloneable {

    public String proxyName = null;
    public int type = -1;
    public SnmpEngineId contextEngineId = null;
    public String contextName = null;
    public String paramsIn = null;
    public String singleOut = null;
    public String multipleOut = null;
    public int storageType = -1;

    public Object clone() {
	try {
	    return super.clone();
	}catch(CloneNotSupportedException e) {  
	    return null;
	}
    }

    public String toString() {
	return proxyName + "," + 
	    type + "," + 
	    contextEngineId + "," + 
	    contextName + "," + 
	    paramsIn + "," + 
	    singleOut + "," + 
	    multipleOut + "," +
	    storageType;
    }
}
