/*
 * @(#)file      SnmpNotificationLcd.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.4
 * @(#)date      04/07/05
 *
 * Copyright 2000-2004 Sun Microsystems, Inc.  All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000-2004 Sun Microsystems, Inc.  Tous droits r?serv?s.
 * Ce logiciel est propriet? de Sun Microsystems, Inc.
 * Distribu? par des licences qui en restreignent l'utilisation. 
 *
 */
package com.sun.management.snmp.rfc2573.notification;

// Java imports
import java.util.Enumeration;

// RFC2573 contrib
import com.sun.management.snmp.rfc2573.target.SnmpTargetData;

public interface SnmpNotificationLcd {
    
    public void readConfiguration() throws Exception;

    public void removeNotification(String targetName) 
	  throws IllegalArgumentException;
    
    public void addNotification(String notifyName,
				String notifyTag,
				int notifyType,
				int storageType) throws IllegalArgumentException;

    public Enumeration getNotifications();
    
    public SnmpNotificationData getNotification(String name);

    public Enumeration getTargets(String notifTag);
}
